Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Properties
Cloo.ComputeMemory Class Reference

Represents an OpenCL memory object. More...

Inheritance diagram for Cloo.ComputeMemory:

List of all members.

## Protected Member Functions
| ComputeMemory (ComputeContext context, ComputeMemoryFlags flags)
override void | Dispose (bool manual)
| Releases the associated OpenCL object.
## Properties
CLMemoryHandle | Handle`[get, set]`
| The handle of the ComputeMemory.
ComputeContext | Context`[get]`
| Gets the ComputeContext of the ComputeMemory.
ComputeMemoryFlags | Flags`[get]`
| Gets the ComputeMemoryFlags of the ComputeMemory.
long | Size`[get, set]`
| Gets or sets (protected) the size in bytes of the ComputeMemory.

## Detailed Description

Represents an OpenCL memory object.

A memory object is a handle to a region of global memory.

See also:
  ComputeBuffer{T}, ComputeImage

## Constructor & Destructor Documentation

Cloo.ComputeMemory.ComputeMemory | ( | ComputeContext | context,
|  | ComputeMemoryFlags | flags
| ) |  | `[protected]`

Parameters:

  context |
  flags |

## Member Function Documentation

override void Cloo.ComputeMemory.Dispose | ( | bool | manual | ) | `[protected, virtual]`

Releases the associated OpenCL object.

Parameters:

  manual | Specifies the operation mode of this method.

manual must be `true` if this method is invoked directly by the application.

Implements Cloo.ComputeResource.

## Property Documentation

ComputeContext Cloo.ComputeMemory.Context`[get]`

Gets the ComputeContext of the ComputeMemory.

The ComputeContext of the ComputeMemory.

ComputeMemoryFlags Cloo.ComputeMemory.Flags`[get]`

Gets the ComputeMemoryFlags of the ComputeMemory.

The ComputeMemoryFlags of the ComputeMemory.

CLMemoryHandle Cloo.ComputeMemory.Handle`[get, set]`

The handle of the ComputeMemory.

long Cloo.ComputeMemory.Size`[get, set]`

Gets or sets (protected) the size in bytes of the ComputeMemory.

The size in bytes of the ComputeMemory.

The documentation for this class was generated from the following file:

- Cloo/Source/ComputeMemory.cs